## image-garden 0.1.1

=== Makefile ===
# SPDX-License-Identifier: Apache-2.0
# SPDX-FileCopyrightText: Zygmunt Krynicki
VERSION = 0.1.1
DESTDIR ?=

prefix ?= /usr/local
exec_prefix ?= $(prefix)

bindir ?= $(exec_prefix)/bin
datarootdir ?= $(prefix)/share
datadir ?= $(datarootdir)
includedir ?= $(prefix)/include
mandir ?= $(datarootdir)/man
man1dir ?= $(mandir)/man1

.PHONY: all
all:: image-garden.mk

.PHONY: clean
clean::
	rm -f image-garden.mk

.PHONY: install
install:: README.md image-garden image-garden.mk image-garden.1 $(if $(DESTDIR),| $(DESTDIR))
	install -m 755 -d $(DESTDIR)$(bindir)
	install -m 755 -t $(DESTDIR)$(bindir) image-garden
	sed -i -e 's,INCLUDEDIR=\.,INCLUDEDIR=$(includedir),' -e 's,@VERSION@,$(VERSION),' $(DESTDIR)$(bindir)/image-garden
	install -m 755 -d $(DESTDIR)$(includedir)
	install -m 644 -t $(DESTDIR)$(includedir) image-garden.mk
	install -m 755 -d $(DESTDIR)$(datarootdir)
	install -m 755 -d $(DESTDIR)$(datarootdir)/doc
	install -m 755 -d $(DESTDIR)$(datarootdir)/doc/image-garden
	install -m 644 -t $(DESTDIR)$(datarootdir)/doc/image-garden README.md NEWS NEWS.license
	install -m 755 -d $(DESTDIR)$(man1dir)
	install -m 644 -t $(DESTDIR)$(man1dir) image-garden.1

image-garden.mk: $(wildcard mk/*.mk)
	cat $(sort $^)>$@

ifneq (,$(DESTDIR))
$(DESTDIR):
	mkdir -p $(DESTDIR)
endif

.PHONY: check
check: SHELLCHECK ?= $(or $(shell command -v shellcheck),$(error program shellcheck is required))
check: image-garden
	$(SHELLCHECK) $^

.PHONY: fmt
fmt: SHFMT ?= $(or $(shell command -v shfmt),$(error program shfmt is required))
fmt: image-garden
	$(SHFMT) -w $^

dist: image-garden-$(VERSION).tar.gz
image-garden-$(VERSION).tar.gz: Makefile image-garden image-garden.1 LICENSE LICENSES/Apache-2.0.txt REUSE.toml NEWS NEWS.license README.md $(wildcard mk/*.mk)
	tar --transform=s,^,image-garden-$(VERSION)/, -zcf $@ $^
