=== spread-demo/Makefile ===
# SPDX-License-Identifier: Apache-2.0
# SPDX-FileCopyrightText: Zygmunt Krynicki

.PHONY:
check:
	for x in $$(spread -list :tests/smoke/uname); do spread "$$x"; done
