=== debian/changelog ===
image-garden (0.1.1-2) unstable; urgency=medium

  * Point VCS fields to salsa

 -- Zygmunt Krynicki <me@zygoon.pl>  Fri, 24 Jan 2025 13:18:14 +0000

image-garden (0.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1093218)

 -- Zygmunt Krynicki <me@zygoon.pl>  Fri, 24 Jan 2025 12:06:33 +0000
