=== debian/control ===
Source: image-garden
Maintainer: Zygmunt Krynicki <me@zygoon.pl>
Section: devel
Priority: optional
Standards-Version: 4.7.0
Homepage: https://gitlab.com/zygoon/image-garden
Vcs-Browser: https://salsa.debian.org/zyga-guest/image-garden
Vcs-Git: https://salsa.debian.org/zyga-guest/image-garden.git
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), shellcheck

Package: image-garden
Architecture: all
Depends: genisoimage,
         make,
         ovmf,
         qemu-efi-aarch64,
         qemu-system-arm,
         qemu-system-x86,
         qemu-utils,
         wget,
         whois,
         ${misc:Depends},
         ${shlibs:Depends}
Description: tool for creating test virtual machines
 Image Garden downloads, initializes and optionally operates virtual machine
 images for popular operating systems. All the systems are designed for
 testing and come configured with well-known username and password, usually
 matching the name of the system.
