=== debian/tests/control ===
Tests: bookworm-amd64
Depends: @
Restrictions: allow-stderr, needs-internet
Architecture: amd64
