## image-garden 0.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SPDX-License-Identifier: Apache-2.0
 # SPDX-FileCopyrightText: Zygmunt Krynicki
-VERSION = 0.1.1
+VERSION = 0.2
 DESTDIR ?=
 
 prefix ?= /usr/local
@@ -55,3 +55,6 @@
 dist: image-garden-$(VERSION).tar.gz
 image-garden-$(VERSION).tar.gz: Makefile image-garden image-garden.1 LICENSE LICENSES/Apache-2.0.txt REUSE.toml NEWS NEWS.license README.md $(wildcard mk/*.mk)
 	tar --transform=s,^,image-garden-$(VERSION)/, -zcf $@ $^
+
+public/index.html: image-garden.1
+	mandoc -O style=image-garden.css -T html ./$< >$@
