=== debian/changelog ===
image-garden (0.2-2) unstable; urgency=medium

  * Import upstream patch that fixes support for qemu 10 (Closes: #1104067)
  * Depend on ca-certificates

 -- Zygmunt Krynicki <me@zygoon.pl>  Fri, 25 Apr 2025 09:14:50 +0000

image-garden (0.2-1) unstable; urgency=medium

  * Bump standards-version to 4.7.2
  * New upstream version 0.2

 -- Zygmunt Krynicki <me@zygoon.pl>  Wed, 19 Mar 2025 07:42:31 +0000

image-garden (0.1.1-3) unstable; urgency=medium

  * Clarify copyright for files in debian/

 -- Zygmunt Krynicki <me@zygoon.pl>  Mon, 17 Mar 2025 20:23:07 +0000
