=== debian/rules ===
#!/usr/bin/make -f
export prefix=/usr

%:
	dh $@
