## image-garden 0.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SPDX-License-Identifier: Apache-2.0
 # SPDX-FileCopyrightText: Zygmunt Krynicki
-VERSION = 0.2
+VERSION = 0.3
 DESTDIR ?=
 
 prefix ?= /usr/local
@@ -24,7 +24,11 @@
 install:: README.md image-garden image-garden.mk image-garden.1 $(if $(DESTDIR),| $(DESTDIR))
 	install -m 755 -d $(DESTDIR)$(bindir)
 	install -m 755 -t $(DESTDIR)$(bindir) image-garden
-	sed -i -e 's,INCLUDEDIR=\.,INCLUDEDIR=$(includedir),' -e 's,@VERSION@,$(VERSION),' $(DESTDIR)$(bindir)/image-garden
+	sed -i \
+		-e 's,INCLUDEDIR=\.,INCLUDEDIR=$(includedir),' \
+		-e 's,@PREFIX@,$(prefix),' \
+		-e 's,@VERSION@,$(VERSION),' \
+		$(DESTDIR)$(bindir)/image-garden
 	install -m 755 -d $(DESTDIR)$(includedir)
 	install -m 644 -t $(DESTDIR)$(includedir) image-garden.mk
 	install -m 755 -d $(DESTDIR)$(datarootdir)
