=== spread-demo/Makefile ===
# SPDX-License-Identifier: Apache-2.0
# SPDX-FileCopyrightText: Zygmunt Krynicki

SYSTEMS = $(sort $(shell spread -list :tests/smoke/uname | cut -d : -f 2))

.PHONY:
$(foreach s,$(SYSTEMS),spread-$s): spread-%:
	$(strip spread $(if $(filter-out ubuntu-core-%,$*),-artifacts artifacts) garden:$*:)

.PHONY:
check: $(foreach s,$(SYSTEMS),spread-$s)
