=== debian/changelog ===
image-garden (0.3-1) unstable; urgency=medium

  * New upstream version 0.3
  * drop patches: applied upstream

 -- Zygmunt Krynicki <me@zygoon.pl>  Thu, 08 May 2025 11:40:35 +0000
