=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Zygmunt Krynicki <me@zygoon.pl>
 Section: devel
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/zygoon/image-garden
 Vcs-Browser: https://salsa.debian.org/zyga-guest/image-garden
 Vcs-Git: https://salsa.debian.org/zyga-guest/image-garden.git
@@ -11,7 +11,8 @@
 
 Package: image-garden
 Architecture: all
-Depends: genisoimage,
+Depends: ca-certificates,
+         genisoimage,
          make,
          ovmf,
          qemu-efi-aarch64,
