=== proxy/Makefile ===
# SPDX-License-Identifier: Apache-2.0
# SPDX-FileCopyrightText: Zygmunt Krynicki
DESTDIR ?=

prefix ?= /usr/local
exec_prefix ?= $(prefix)

sysconfdir ?= $(prefix)/etc
bindir ?= $(exec_prefix)/bin

.PHONY: all
all::

.PHONY: clean
clean::

.PHONY: install
install:: image-garden-proxy acng.conf $(if $(DESTDIR),| $(DESTDIR))
	install -m 755 -d $(DESTDIR)$(bindir)
	install -m 755 -t $(DESTDIR)$(bindir) image-garden-proxy
	install -m 755 -d $(DESTDIR)$(sysconfdir)
	install -m 755 -d $(DESTDIR)$(sysconfdir)/apt-cacher-ng
	install -m 644 -t $(DESTDIR)$(sysconfdir)/apt-cacher-ng acng.conf

ifneq (,$(DESTDIR))
$(DESTDIR):
	mkdir -p $(DESTDIR)
endif

.PHONY: check
check: SHELLCHECK ?= $(or $(shell command -v shellcheck),$(error program shellcheck is required))
check: image-garden-proxy
	$(SHELLCHECK) $^

.PHONY: fmt
fmt: SHFMT ?= $(or $(shell command -v shfmt),$(error program shfmt is required))
fmt: image-garden-proxy
	$(SHFMT) -w $^
