=== spread-chooser/Makefile ===
# SPDX-License-Identifier: Apache-2.0
# SPDX-FileCopyrightText: Zygmunt Krynicki
DESTDIR ?=

prefix ?= /usr/local
exec_prefix ?= $(prefix)
bindir ?= $(exec_prefix)/bin

.PHONY: all
all::

.PHONY: clean
clean::

.PHONY: install
install:: spread-chooser configure $(if $(DESTDIR),| $(DESTDIR))
	install -m 755 -d $(DESTDIR)$(bindir)
	install -m 755 -t $(DESTDIR)$(bindir) spread-chooser

ifneq (,$(DESTDIR))
$(DESTDIR):
	mkdir -p $(DESTDIR)
endif

.PHONY: check
check: SHELLCHECK ?= $(or $(shell command -v shellcheck),$(error program shellcheck is required))
check: spread-chooser configure
	$(SHELLCHECK) $^

.PHONY: fmt
fmt: SHFMT ?= $(or $(shell command -v shfmt),$(error program shfmt is required))
fmt: spread-chooser configure
	$(SHFMT) -w $^
