=== spread-demo/Makefile ===
# SPDX-License-Identifier: Apache-2.0
# SPDX-FileCopyrightText: Zygmunt Krynicki

SYSTEMS = $(subst -plus-,+,$(sort $(shell spread -list :tests/smoke/uname | cut -d : -f 2)))

.PHONY:
$(foreach s,$(filter-out gentoo-cloud,$(SYSTEMS)),spread-$s): spread-%:
	$(strip spread $(if $(filter-out oracle-cloud-7 ubuntu-cloud-14.04,$*),-artifacts artifacts) garden:$(subst +,-plus-,$*):)

.PHONY:
spread-gentoo-cloud:
	@echo "Spread cannot connect to sshd 10 in gentoo"
	@echo "See: https://github.com/canonical/spread/issues/243"

.PHONY:
check: $(foreach s,$(SYSTEMS),spread-$s)
