=== debian/changelog ===
image-garden (0.4.2-3) unstable; urgency=medium

  * Depend on qemu-efi-riscv64

 -- Zygmunt Krynicki <me@zygoon.pl>  Mon, 26 Jan 2026 09:51:46 +0000

image-garden (0.4.2-2) unstable; urgency=medium

  * Depend on xorriso, drop genisoimage

 -- Zygmunt Krynicki <me@zygoon.pl>  Mon, 26 Jan 2026 09:40:58 +0000

image-garden (0.4.2-1) unstable; urgency=medium

  * Depend on xz-utils for xz-compressed images
  * New upstream version 0.4.2
  * Build-depend on mypy and python3

 -- Zygmunt Krynicki <me@zygoon.pl>  Mon, 26 Jan 2026 09:29:34 +0000
