=== debian/control ===
--- 
+++ 
@@ -7,20 +7,22 @@
 Vcs-Browser: https://salsa.debian.org/zyga-guest/image-garden
 Vcs-Git: https://salsa.debian.org/zyga-guest/image-garden.git
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), shellcheck
+Build-Depends: debhelper-compat (= 13), mypy, python3, shellcheck
 
 Package: image-garden
 Architecture: all
 Depends: ca-certificates,
-         genisoimage,
          make,
          ovmf,
          qemu-efi-aarch64,
+         qemu-efi-riscv64,
          qemu-system-arm,
          qemu-system-x86,
          qemu-utils,
          wget,
          whois,
+         xorriso,
+         xz-utils,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: tool for creating test virtual machines
